ortp::FecSourcePacket Class Reference

## Public Member Functions

| FecSourcePacket (struct _RtpSession *session, const Bitstring &bs)
| FecSourcePacket (struct _RtpSession *session)
| FecSourcePacket (const mblk_t *incoming)
| FecSourcePacket (const FecSourcePacket &other)=delete
FecSourcePacket & | operator= (const FecSourcePacket &other)=delete
void | addBitstring (Bitstring const &other)
void | add (FecSourcePacket const &other)
void | writeBitstring ()
size_t | getPayloadBuffer (uint8_t **start) const
void | addPayload (FecSourcePacket const &other)
void | addPayload (const uint8_t *toAdd, size_t size)
void | initPayload (uint16_t length)
mblk_t * | getPacket () const
mblk_t * | getPacketCopy () const
const Bitstring & | getBitstring () const
mblk_t * | transfer ()
void | setSsrc (uint32_t ssrc)
void | setSequenceNumber (uint16_t seqnum)

The documentation for this class was generated from the following file:

- fecstream.h